commit:     cbc58f3c6ea360aa7b1931c1089ebfab6648c7ce
Author:     Philippe Chaintreuil <gentoo_bugs_peep <AT> parallaxshift <DOT> com>
AuthorDate: Tue Sep 29 00:11:58 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sat Nov 28 19:52:34 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cbc58f3c

mail-client/roundcube: Bump to 1.4.9

Just a copy of 1.4.8's ebuild with arches keyworded.

Closes: https://bugs.gentoo.org/745237
Closes: https://github.com/gentoo/gentoo/pull/17705
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Philippe Chaintreuil <gentoo_bugs_peep <AT> parallaxshift.com>
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 mail-client/roundcube/Manifest               |  1 +
 mail-client/roundcube/roundcube-1.4.9.ebuild | 73 ++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/mail-client/roundcube/Manifest b/mail-client/roundcube/Manifest
index b37364cb5f5..95defd4eca0 100644
--- a/mail-client/roundcube/Manifest
+++ b/mail-client/roundcube/Manifest
@@ -1 +1,2 @@
 DIST roundcubemail-1.4.8-complete.tar.gz 7032822 BLAKE2B 
61c5329d9abe65baba3274d3cb9a6a435f886a0196c2881153da473eb415ad4c63dfdab49c67c75a2fd92ff55f9e6da7bdfcece7041ce408b2be628da47045d4
 SHA512 
8b7734cdec95954b7e18a0e44957da6ef74b5b0c3d28a1449e8634faa230844f5e0c28954245641758f8b2d9102aa32f279765ed3dfa20fa7b00dee4e5347362
+DIST roundcubemail-1.4.9-complete.tar.gz 7043437 BLAKE2B 
a1b7c6e160d29f61e2ca9c25f725b55411cb52c0f0d00fc4b3dc2ab1eb0edf190176ec932a297d6052b34047673e5dfb8cb13ad3a7b8b755e9d8e9265fb85aa9
 SHA512 
c6395757544b85693e808234f3dc6baac618ba115fb2c9eefc309ee18e74b2fdfbc0af00ac2b3b980fdd2abc56eefde47b535cdf688cfd2a5ce975786aca6572

diff --git a/mail-client/roundcube/roundcube-1.4.9.ebuild 
b/mail-client/roundcube/roundcube-1.4.9.ebuild
new file mode 100644
index 00000000000..6d3b3ede4e4
--- /dev/null
+++ b/mail-client/roundcube/roundcube-1.4.9.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit webapp
+
+MY_PN=${PN}mail
+MY_PV=${PV/_/-}
+MY_P=${MY_PN}-${MY_PV}
+
+DESCRIPTION="A browser-based multilingual IMAP client with an application-like 
user interface"
+HOMEPAGE="https://roundcube.net";
+SRC_URI="https://github.com/${PN}/${MY_PN}/releases/download/${MY_PV}/${MY_P}-complete.tar.gz";
+
+# roundcube is GPL-licensed, the rest of the licenses here are
+# for bundled PEAR components, googiespell and utf8.class.php
+LICENSE="GPL-3 BSD PHP-2.02 PHP-3 MIT public-domain"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
+
+IUSE="change-password enigma ldap mysql postgres sqlite ssl spell"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+# this function only sets DEPEND so we need to include that in RDEPEND
+need_httpd_cgi
+
+RDEPEND="
+       ${DEPEND}
+       
>=dev-lang/php-5.4.0[filter,gd,iconv,json,ldap?,pdo,postgres?,session,sqlite?,ssl?,unicode,xml]
+       virtual/httpd-php
+       change-password? (
+               dev-lang/php[sockets]
+       )
+       enigma? (
+               app-crypt/gnupg
+       )
+       mysql? (
+               || (
+                       dev-lang/php[mysql]
+                       dev-lang/php[mysqli]
+               )
+       )
+       spell? ( dev-lang/php[curl,spell] )
+"
+
+S="${WORKDIR}/${MY_P}"
+
+src_install() {
+       webapp_src_preinst
+
+       dodoc CHANGELOG INSTALL README.md UPGRADING
+
+       insinto "${MY_HTDOCSDIR}"
+       doins -r [[:lower:]]* SQL
+       doins .htaccess
+
+       webapp_serverowned "${MY_HTDOCSDIR}"/logs
+       webapp_serverowned "${MY_HTDOCSDIR}"/temp
+
+       webapp_configfile "${MY_HTDOCSDIR}"/config/defaults.inc.php
+       webapp_postupgrade_txt en "${FILESDIR}/POST-UPGRADE_complete.txt"
+
+       webapp_src_install
+}
+
+pkg_postinst() {
+       webapp_pkg_postinst
+
+       if [[ -n ${REPLACING_VERSIONS} ]]; then
+               elog "You can review the post-upgrade instructions at:"
+               elog 
"${EROOT%/}/usr/share/webapps/${PN}/${PV}/postupgrade-en.txt"
+       fi
+}

Reply via email to